package com.ozs.service.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ozs.common.utils.AppendUtils;
import com.ozs.service.entity.BaseDeviceResume;
import com.ozs.service.entity.vo.BaseDeviceResumeVo;
import com.ozs.service.entity.vo.DeviceResumeResp;
import com.ozs.service.mapper.BaseDeviceResumeMapper;
import com.ozs.service.service.BaseDeviceResumeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Administrator
 */
@Service
public class BaseDeviceResumeServiceImpl extends ServiceImpl<BaseDeviceResumeMapper, BaseDeviceResume> implements BaseDeviceResumeService {
    @Autowired
    private BaseDeviceResumeMapper baseDeviceResumeMapper;
    @Override
    public List<BaseDeviceResumeVo> getBaseDeviceResume(String cameraCode, String startTime, String endTime) {

        List<BaseDeviceResumeVo> baseDeviceResume = baseDeviceResumeMapper.getBaseDeviceResume(cameraCode, startTime, endTime);
        for (BaseDeviceResumeVo baseDeviceResumeVo : baseDeviceResume) {
            String installMile = AppendUtils.stringAppend(baseDeviceResumeVo.getInstallMile());
            baseDeviceResumeVo.setInstallMiles(installMile);
        }
        return baseDeviceResume;
    }

    @Override
    public List<DeviceResumeResp> exportDeviceResume(String cameraCode, String startTime, String endTime) {
        List<DeviceResumeResp> deviceResumeRespList = baseDeviceResumeMapper.exportDeviceResume(cameraCode, startTime, endTime);
        for (DeviceResumeResp deviceResumeResp : deviceResumeRespList) {
            String mils = AppendUtils.stringAppend(deviceResumeResp.getInstallMile());
            deviceResumeResp.setInstallMileName(mils);
        }
        return deviceResumeRespList;
    }
}
